use structopt::StructOpt;

#[derive(Debug, StructOpt)]
#[structopt(
    name = "mtemp",
    about = "Simple personal CLI tool for monitoring temperatures."
)]
pub enum Arguments {
    #[structopt(about = "CPU temp in Celsius (Only AMD)")]
    Cpu,
    #[structopt(about = "GPU temp in Celsius (Only NVIDIA)")]
    Gpu,
    #[structopt(about = "Disk temp in Celsius")]
    Disk,
    #[structopt(about = "Debug information, mainly for development purposes")]
    Debug,
}
